> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start support followup workflow

> Workflow started (or the existing run returned when the deterministic workflow id already exists).

### Request body

`object`

<ParamField body="brand_id" type="string (uuid)" required />

<ParamField body="connector_key_voice" type="string" required />

<ParamField body="connector_key_mail" type="string" required />

<ParamField body="connector_key_sms" type="string" />

<ParamField body="to_number" type="string" required />

<ParamField body="sms_to_number" type="string" />

<ParamField body="conversation_id" type="string" />

<ParamField body="connector_key_llm" type="string" />

<ParamField body="escalation_assignee" type="string" />

<ParamField body="max_call_attempts" type="integer" />

<ParamField body="customer_timezone" type="string" />

<ParamField body="quiet_hours_start_hour" type="integer" />

<ParamField body="quiet_hours_end_hour" type="integer" />

<ParamField body="agent_key" type="string" />

<ParamField body="customer_email" type="string" required />

<ParamField body="context" type="object" />

<ParamField body="poll_interval_secs" type="integer" />

<ParamField body="max_polls" type="integer" />

<ParamField body="followup_wait_secs" type="integer" />

<ParamField body="idempotency_key" type="string" />

<ParamField body="copy" type="object" />

<ParamField body="routing_mode" type="string" />

### Response

`StartWorkflowResponse`

<ResponseField name="workflow_id" type="string" required />

<ResponseField name="run_id" type="string" />

### Status codes

| Code  | Meaning                                                                                            |
| ----- | -------------------------------------------------------------------------------------------------- |
| `200` | Workflow started (or the existing run returned when the deterministic workflow id already exists). |
| `400` | Validation error                                                                                   |
| `401` | Unauthorized                                                                                       |
| `404` | Not found                                                                                          |
| `429` | Rate limited                                                                                       |
| `500` | Internal error                                                                                     |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/workflows/support-followup/start' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{
    "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "connector_key_voice": "string",
    "connector_key_mail": "string",
    "connector_key_sms": "string",
    "to_number": "string",
    "sms_to_number": "string",
    "conversation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "connector_key_llm": "string",
    "escalation_assignee": "string",
    "max_call_attempts": 1,
    "customer_timezone": "America/Los_Angeles",
    "quiet_hours_start_hour": 1,
    "quiet_hours_end_hour": 1,
    "agent_key": "string",
    "customer_email": "ada.lovelace@example.com",
    "context": {},
    "poll_interval_secs": 1,
    "max_polls": 1,
    "followup_wait_secs": 1,
    "idempotency_key": "req_01J9X4Q8M2ZK7V3N",
    "copy": {
      "brand_name": "Acme Outdoors",
      "sender_signature": "string",
      "email_subject_override": "string"
    },
    "routing_mode": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }
  ```
</ResponseExample>
